@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

:root {
    --primary-color: #111827;
    --off-white: #F3F4F6;
    --dark-grey: #9CA3AF;
}


body {
    margin: 0px;
    font-family: 'Montserrat', sans-serif;
}

/* container */
.container {
    padding-left: 1rem;
    padding-right: 1rem;
}

.container-center {
    max-width: 600px;
    margin: auto;
}


/* list */
ul {
    padding-inline-start: 0px;
}

.list-non-bullet {
    list-style: none;
}

.list-item-inline {
    display: inline;
    padding: 0rem 0.5rem;
}

/* link */
.link {
    text-decoration: none;
    padding: 0.5rem 1rem;
}

/* navbar */
.navigation {
    background-color: var(--primary-color);
    color: white;
    padding: 1rem;
    border-bottom-left-radius: 1rem;
}

.navigation .nav-brand {
    font-weight: bold;
    font-size: 1.1rem;
}

.navigation .nav-pills {
    text-align: right;
}

.navigation .link {
    color: white;
}

.link-active {
    font-weight: bold;
}

/* header */
.hero {
    padding: 2rem;
}

.hero .hero-img {
    max-width: 350px;
    display: block;
    margin: auto;
}

.hero .hero-heading {
    text-align: center;
    color: var(--dark-grey);
}

.hero .hero-heading .heading-inverted {
    color: var(--primary-color);
}

/* button */
.btns{
    text-align: center;
}
.btn {
    font-size: 1rem;
    font-weight: bold;
    border-radius: 0.5rem;
    color: white;
    font-family: 'Montserrat', sans-serif;
    padding: 14px 40px;
    margin: 1% 3%;
}

.btn-primary {
    background-color: var(--primary-color);
}

.btn-secondary {
    color: var(--primary-color);
    border: 2px solid var(--primary-color);
    transition-duration: 0.4s;
}

.btn-secondary:hover {
    background-color: var(--primary-color);
    /* Green */
    color: white;
}

/* section */
.section {
    padding: 1rem;
}

.section h1 {
    text-align: center;
}

label,
caption {
    font-size: 1.5rem;
    font-weight: bold;
    color: var(--dark-grey);
}

.input {
    width: 100%;
    padding: 12px 20px;
    margin: 5% 0;
    border: 2px solid var(--primary-color);
    border-radius: 0.3rem;
    box-sizing: border-box;
    font-weight: bold;
    font-size: 1rem;
}

.input:focus {
    border: 2px solid var(--off-white);
}

/* footer */
.footer {
    background-color: var(--primary-color);
    color: white;
    text-align: center;
    padding: 2rem;
    border-top-right-radius: 1rem;
}

.footer .link {
    color: white;
    text-decoration: none;
    padding: 0.5rem 1rem;
}

.footer img {
    height: 40px;
    width: 40px;
}

.footer ul {
    padding-inline-start: 0px;
}

.footer .list-non-bullet {
    list-style: none;
}

.footer .list-item-inline {
    display: inline;
    padding: 0rem 0.5rem;
}

/* message */
#message {
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--dark-grey);
}

/* quiz */
.quiz-form label{
    font-size: 1rem;
    font-weight: 300;
    color: var(--dark-grey);
}

.ques-container{
    border: 2px solid var(--primary-color);
    border-radius: 0.3rem;
    margin: 2% 0%;
    padding: 0% 4% 3%;
}

/* hypotenuse */
.formula-container{
    border: 2px solid var(--primary-color);
    border-radius: 0.3rem;
    margin: 2% 0%;
    padding: 0% 4% 3%;
    text-align: center;
}



/* responsive hamburger */
.nav .icon {
    display: none;
  }

@media screen and (max-width: 600px) {
    .nav li:not(:last-child) {
        display: none;
    }
    .nav a.icon {
      float: right;
      display: block;
      color: white;
      position: absolute;
      right: 3%;
      top: 6%;
    }
  }
  
@media screen and (max-width: 600px) {
    .nav.responsive {
        position: relative;
    }
    .nav.responsive .icon {
      position: absolute;
      right: 0%;
      top: 0%;
    }
    .nav.responsive li {
      float: none;
      display: block;
      text-align: left;
      margin:1rem;
    }
    .nav.responsive li :hover{
        font-weight: bolder;
    }
}